import request from './request'

export function getVapidPublicKey() {
  return request({
    url: '/Notification/GetVapidPublicKey',
    method: 'get'
  })
}

export function subscribe(data) {
  return request({
    url: '/Notification/Subscribe',
    method: 'post',
    data
  })
}

export function testNotification(message) {
  return request({
    url: '/Notification/TestNotification',
    method: 'post',
    params: { message }
  })
}
